Topic
  • 4 replies
  • Latest Post - ‏2008-11-21T16:20:42Z by khanna
SystemAdmin
SystemAdmin
10114 Posts

Pinned topic SDK3.1: Backward compatibility

‏2008-10-28T12:15:44Z |
I have two questions about SDK3.1:
  • Are there problems with backward compatibility? That is, will my applications developed in SDK3.0 run in SDK3.1? and my ALF applications?
  • Is it possible to update my PS3 with SDK3.1?

Thank you very much!!!

Best wishes,

José Luis.
Updated on 2008-11-21T16:20:42Z at 2008-11-21T16:20:42Z by khanna
  • CellServ
    CellServ
    1346 Posts

    Re: SDK3.1: Backward compatibility

    ‏2008-10-28T15:47:24Z  
    Yes, 3.0 applications will run on 3.1.

    While we have not done testing on PS3s, it should work the same as 3.0.

    --
    IBM SDK Service Administrator
  • SystemAdmin
    SystemAdmin
    10114 Posts

    Re: SDK3.1: Backward compatibility

    ‏2008-11-21T08:52:09Z  
    • CellServ
    • ‏2008-10-28T15:47:24Z
    Yes, 3.0 applications will run on 3.1.

    While we have not done testing on PS3s, it should work the same as 3.0.

    --
    IBM SDK Service Administrator
    I developed an application exploiting signals registers for synchronization.
    The application has been hardly tested for one year. I tried to compile it with SDK 3.1 and I got problems with the lost of some signals.
    Are SDK 3.1 compatible with 3.0 for the signal register management?
  • CellServ
    CellServ
    1346 Posts

    Re: SDK3.1: Backward compatibility

    ‏2008-11-21T15:34:42Z  
    I developed an application exploiting signals registers for synchronization.
    The application has been hardly tested for one year. I tried to compile it with SDK 3.1 and I got problems with the lost of some signals.
    Are SDK 3.1 compatible with 3.0 for the signal register management?
    I don't know of any changes in 3.1. Does it fail during compilation? If so, what are the errors? If not, can you attach/email the code so I can test it and see the differences?

    --
    IBM SDK Service Administrator
  • khanna
    khanna
    59 Posts

    Re: SDK3.1: Backward compatibility

    ‏2008-11-21T16:20:42Z  
    Hi

    I'm running SDK 3.1 on a PS3 with Fedora 9 without any problems. I hope this helps.
    BTW, Yellow Dog Linux 6.1 includes SDK 3.1 now ..

    Regards,
    Gaurav